# RPM data types.

## Files
file | rpmtypes.h
| Typedefs for RPM abstract data types.

## Typedefs
typedef struct _FD_s * | FD_t
| RPM IO file descriptor type.
typedef enum rpmRC_e | rpmRC
| Package read return codes.
## Enumerations
enum | rpmRC_e { RPMRC_OK = 0, RPMRC_NOTFOUND = 1, RPMRC_FAIL = 2, RPMRC_NOTTRUSTED = 3, RPMRC_NOKEY = 4 }
| Package read return codes. More...

## Typedef Documentation

typedef struct _FD_s* FD_t

RPM IO file descriptor type.

Definition at line 84 of file rpmtypes.h.

typedef const void* fnpyKey

Definition at line 67 of file rpmtypes.h.

typedef struct headerToken_s* Header

RPM header and data retrieval types.

Definition at line 24 of file rpmtypes.h.

typedef struct headerIterator_s* HeaderIterator

Definition at line 25 of file rpmtypes.h.

typedef uint32_t rpm_color_t

Definition at line 36 of file rpmtypes.h.

typedef const void* rpm_constdata_t

Definition at line 32 of file rpmtypes.h.

typedef uint32_t rpm_count_t

Definition at line 29 of file rpmtypes.h.

typedef void* rpm_data_t

Definition at line 31 of file rpmtypes.h.

typedef uint32_t rpm_dev_t

Definition at line 51 of file rpmtypes.h.

typedef uint32_t rpm_flag_t

Definition at line 37 of file rpmtypes.h.

typedef uint32_t rpm_ino_t

Definition at line 52 of file rpmtypes.h.

typedef uint64_t rpm_loff_t

Definition at line 47 of file rpmtypes.h.

typedef uint16_t rpm_mode_t

Definition at line 49 of file rpmtypes.h.

typedef uint32_t rpm_off_t

In-header hardcoded sizes for various POSIXy types.

Definition at line 46 of file rpmtypes.h.

typedef uint16_t rpm_rdev_t

Definition at line 50 of file rpmtypes.h.

typedef int32_t rpm_tag_t

Definition at line 27 of file rpmtypes.h.

typedef uint32_t rpm_tagtype_t

Definition at line 28 of file rpmtypes.h.

typedef uint32_t rpm_tid_t

Definition at line 38 of file rpmtypes.h.

typedef uint32_t rpm_time_t

Definition at line 48 of file rpmtypes.h.

typedef struct rpmal_s* rpmal

Definition at line 65 of file rpmtypes.h.

typedef void* rpmalKey

Definition at line 66 of file rpmtypes.h.

typedef void* rpmCallbackData

Definition at line 68 of file rpmtypes.h.

typedef struct rpmdb_s* rpmdb

Definition at line 63 of file rpmtypes.h.

typedef struct rpmdbMatchIterator_s* rpmdbMatchIterator

Definition at line 64 of file rpmtypes.h.

typedef struct rpmds_s* rpmds

Definition at line 61 of file rpmtypes.h.

typedef struct rpmfi_s* rpmfi

Definition at line 62 of file rpmtypes.h.

typedef enum rpmRC_e rpmRC

Package read return codes.

typedef struct rpmtd_s* rpmtd

Definition at line 34 of file rpmtypes.h.

typedef struct rpmte_s* rpmte

Definition at line 60 of file rpmtypes.h.

typedef struct rpmts_s* rpmts

The main types involved in transaction manipulation.

Definition at line 59 of file rpmtypes.h.

## Enumeration Type Documentation

enum rpmRC_e

Package read return codes.

Enumerator:

  RPMRC_OK | Generic success code
  RPMRC_NOTFOUND | Generic not found code.
  RPMRC_FAIL | Generic failure code.
  RPMRC_NOTTRUSTED | Signature is OK, but key is not trusted.
  RPMRC_NOKEY | Public key is unavailable.

Definition at line 89 of file rpmtypes.h.